Retrieve Transactions
GET/entities/{processing-entity-id}/transactions
Retrieves a list of transactions based on provided search criteria.
Request
Path Parameters
Processing entityId provided by Nuvei.
Query Parameters
Start Date
End Date
Possible values: [SALE, AUTH, REFUND, SETTLE, VOID, AUTH3D, SALE3D, INITAUTH3D]
Transaction Type
Possible values: [APPROVED, DECLINE, ERROR, PENDING]
Transaction Status
Possible values: >= 1 and <= 50
Page size for pagination.
50Page number for pagination.
0Possible values: <= 50 characters
The transaction ID.
Responses
- 200
- 400
- 401
- 403
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
transactions
object[]
Possible values: [SALE, AUTH, REFUND, SETTLE, VOID, AUTH3D, SALE3D, INITAUTH3D]
SALEapprovedpaymentOption
object
card
object
threeD
object
paymentToken
object
additionalData
object
temporaryPaymentToken
object
alternativePaymentMethod
object
data
object
The merchant contact information, as is displayed for the transaction on the consumer's card statement. It can also be an email address.
Possible values: <= 255 characters
subMerchant
object
Represents the internal merchant’s ID, which is forwarded to Visa and Mastercard
Possible values: <= 15 characters
The payment facilitator’s sub-merchant’s city name.
Possible values: <= 20 characters
The payment facilitator’s sub-merchant’s 2-letter ISO country code.
Possible values: >= 2 characters and <= 2 characters
dynamicDescriptor
object
The merchant name, as is displayed for the transaction on the consumer's card statement.
Possible values: <= 25 characters
The merchant contact information, as is displayed for the transaction on the consumer's card statement. It can also be an email address.
Possible values: <= 255 characters
additionalTransactionInfo
object
result
object
Possible values: [approved, authorizedOnly, declined, error, pending, redirect, challenge, fingerprint, authenticated, authenticationNotSupported]
errors
object
If an error occurred on the request side, an error code is returned in this parameter.
If an error occurred on the request side, an error code is returned in this parameter.
Possible values: <= 11 characters
7000.1000If an error occurred on the request side, then an error reason is returned in this parameter.
Possible values: <= 400 characters
Internal Processing ErrorReference value for troubleshooting
Possible values: <= 400 characters
110.1260{
"transactions": [
{
"transactionType": "SALE",
"externalTransactionId": "string",
"paymentId": "string",
"transactionId": "string",
"transactionDate": "2024-07-29T15:51:28.071Z",
"relatedTransactionId": "string",
"transactionStatus": "approved",
"merchantTransactionId": "string",
"authCode": "string",
"custom": "string",
"credited": "string",
"processedAmount": "string",
"processedCurrency": "string",
"creditType": "string",
"acquiringBankName": "string",
"isVoided": "string",
"errorDescription": "string",
"paymentOption": {
"card": {
"threeD": {
"eci": "string",
"isLiabilityOnIssuer": "string",
"flow": "string",
"isExemptionRequestInAuthentication": true,
"challengePreferenceReason": "string",
"exemptionRequest": "string",
"whiteListStatus": true,
"authenticationType": "string",
"authenticationResult": "string",
"challengeStatus": "string",
"challengeCancelReason": "string",
"merchantPreference": "string",
"merchantPreferenceReason": "string"
},
"avsCode": "string",
"cvv2Code": "string",
"cardHolderName": "string",
"maskedCardNumber": "string",
"expirationMonth": "string",
"expirationYear": "string",
"bin": 0,
"issuerBankName": "string",
"issuingCountry": "string",
"isPrepaid": true,
"cardBrand": "string",
"cardType": "string",
"paymentTokenId": "string"
},
"paymentToken": {
"paymentTokenId": "string",
"additionalData": {
"accountNumber": "string",
"routingNumber": "string"
}
},
"temporaryPaymentToken": {
"paymentTokenId": "string",
"merchantReference": "string"
},
"alternativePaymentMethod": {
"name": "string",
"data": {
"accountNumber": "string",
"routingNumber": "string"
},
"merchantContactInformation": "string"
}
},
"subMerchant": {
"id": "string",
"city": "string",
"countryCode": "string"
},
"dynamicDescriptor": {
"merchantName": "string",
"merchantContactInformation": "string"
},
"additionalTransactionInfo": {
"additionalTransactionBankId": "string",
"referenceId": "string"
}
}
],
"result": {
"status": "approved",
"errors": {
"code": "7000.1000",
"reason": "Internal Processing Error",
"reference": "110.1260"
}
}
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
transactions
object[]
Possible values: [SALE, AUTH, REFUND, SETTLE, VOID, AUTH3D, SALE3D, INITAUTH3D]
SALEapprovedpaymentOption
object
card
object
threeD
object
paymentToken
object
additionalData
object
temporaryPaymentToken
object
alternativePaymentMethod
object
data
object
The merchant contact information, as is displayed for the transaction on the consumer's card statement. It can also be an email address.
Possible values: <= 255 characters
subMerchant
object
Represents the internal merchant’s ID, which is forwarded to Visa and Mastercard
Possible values: <= 15 characters
The payment facilitator’s sub-merchant’s city name.
Possible values: <= 20 characters
The payment facilitator’s sub-merchant’s 2-letter ISO country code.
Possible values: >= 2 characters and <= 2 characters
dynamicDescriptor
object
The merchant name, as is displayed for the transaction on the consumer's card statement.
Possible values: <= 25 characters
The merchant contact information, as is displayed for the transaction on the consumer's card statement. It can also be an email address.
Possible values: <= 255 characters
additionalTransactionInfo
object
result
object
Possible values: [approved, authorizedOnly, declined, error, pending, redirect, challenge, fingerprint, authenticated, authenticationNotSupported]
errors
object
If an error occurred on the request side, an error code is returned in this parameter.
If an error occurred on the request side, an error code is returned in this parameter.
Possible values: <= 11 characters
7000.1000If an error occurred on the request side, then an error reason is returned in this parameter.
Possible values: <= 400 characters
Internal Processing ErrorReference value for troubleshooting
Possible values: <= 400 characters
110.1260{
"transactions": [
{
"transactionType": "SALE",
"externalTransactionId": "string",
"paymentId": "string",
"transactionId": "string",
"transactionDate": "2024-07-29T15:51:28.071Z",
"relatedTransactionId": "string",
"transactionStatus": "approved",
"merchantTransactionId": "string",
"authCode": "string",
"custom": "string",
"credited": "string",
"processedAmount": "string",
"processedCurrency": "string",
"creditType": "string",
"acquiringBankName": "string",
"isVoided": "string",
"errorDescription": "string",
"paymentOption": {
"card": {
"threeD": {
"eci": "string",
"isLiabilityOnIssuer": "string",
"flow": "string",
"isExemptionRequestInAuthentication": true,
"challengePreferenceReason": "string",
"exemptionRequest": "string",
"whiteListStatus": true,
"authenticationType": "string",
"authenticationResult": "string",
"challengeStatus": "string",
"challengeCancelReason": "string",
"merchantPreference": "string",
"merchantPreferenceReason": "string"
},
"avsCode": "string",
"cvv2Code": "string",
"cardHolderName": "string",
"maskedCardNumber": "string",
"expirationMonth": "string",
"expirationYear": "string",
"bin": 0,
"issuerBankName": "string",
"issuingCountry": "string",
"isPrepaid": true,
"cardBrand": "string",
"cardType": "string",
"paymentTokenId": "string"
},
"paymentToken": {
"paymentTokenId": "string",
"additionalData": {
"accountNumber": "string",
"routingNumber": "string"
}
},
"temporaryPaymentToken": {
"paymentTokenId": "string",
"merchantReference": "string"
},
"alternativePaymentMethod": {
"name": "string",
"data": {
"accountNumber": "string",
"routingNumber": "string"
},
"merchantContactInformation": "string"
}
},
"subMerchant": {
"id": "string",
"city": "string",
"countryCode": "string"
},
"dynamicDescriptor": {
"merchantName": "string",
"merchantContactInformation": "string"
},
"additionalTransactionInfo": {
"additionalTransactionBankId": "string",
"referenceId": "string"
}
}
],
"result": {
"status": "approved",
"errors": {
"code": "7000.1000",
"reason": "Internal Processing Error",
"reference": "110.1260"
}
}
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
transactions
object[]
Possible values: [SALE, AUTH, REFUND, SETTLE, VOID, AUTH3D, SALE3D, INITAUTH3D]
SALEapprovedpaymentOption
object
card
object
threeD
object
paymentToken
object
additionalData
object
temporaryPaymentToken
object
alternativePaymentMethod
object
data
object
The merchant contact information, as is displayed for the transaction on the consumer's card statement. It can also be an email address.
Possible values: <= 255 characters
subMerchant
object
Represents the internal merchant’s ID, which is forwarded to Visa and Mastercard
Possible values: <= 15 characters
The payment facilitator’s sub-merchant’s city name.
Possible values: <= 20 characters
The payment facilitator’s sub-merchant’s 2-letter ISO country code.
Possible values: >= 2 characters and <= 2 characters
dynamicDescriptor
object
The merchant name, as is displayed for the transaction on the consumer's card statement.
Possible values: <= 25 characters
The merchant contact information, as is displayed for the transaction on the consumer's card statement. It can also be an email address.
Possible values: <= 255 characters
additionalTransactionInfo
object
result
object
Possible values: [approved, authorizedOnly, declined, error, pending, redirect, challenge, fingerprint, authenticated, authenticationNotSupported]
errors
object
If an error occurred on the request side, an error code is returned in this parameter.
If an error occurred on the request side, an error code is returned in this parameter.
Possible values: <= 11 characters
7000.1000If an error occurred on the request side, then an error reason is returned in this parameter.
Possible values: <= 400 characters
Internal Processing ErrorReference value for troubleshooting
Possible values: <= 400 characters
110.1260{
"transactions": [
{
"transactionType": "SALE",
"externalTransactionId": "string",
"paymentId": "string",
"transactionId": "string",
"transactionDate": "2024-07-29T15:51:28.071Z",
"relatedTransactionId": "string",
"transactionStatus": "approved",
"merchantTransactionId": "string",
"authCode": "string",
"custom": "string",
"credited": "string",
"processedAmount": "string",
"processedCurrency": "string",
"creditType": "string",
"acquiringBankName": "string",
"isVoided": "string",
"errorDescription": "string",
"paymentOption": {
"card": {
"threeD": {
"eci": "string",
"isLiabilityOnIssuer": "string",
"flow": "string",
"isExemptionRequestInAuthentication": true,
"challengePreferenceReason": "string",
"exemptionRequest": "string",
"whiteListStatus": true,
"authenticationType": "string",
"authenticationResult": "string",
"challengeStatus": "string",
"challengeCancelReason": "string",
"merchantPreference": "string",
"merchantPreferenceReason": "string"
},
"avsCode": "string",
"cvv2Code": "string",
"cardHolderName": "string",
"maskedCardNumber": "string",
"expirationMonth": "string",
"expirationYear": "string",
"bin": 0,
"issuerBankName": "string",
"issuingCountry": "string",
"isPrepaid": true,
"cardBrand": "string",
"cardType": "string",
"paymentTokenId": "string"
},
"paymentToken": {
"paymentTokenId": "string",
"additionalData": {
"accountNumber": "string",
"routingNumber": "string"
}
},
"temporaryPaymentToken": {
"paymentTokenId": "string",
"merchantReference": "string"
},
"alternativePaymentMethod": {
"name": "string",
"data": {
"accountNumber": "string",
"routingNumber": "string"
},
"merchantContactInformation": "string"
}
},
"subMerchant": {
"id": "string",
"city": "string",
"countryCode": "string"
},
"dynamicDescriptor": {
"merchantName": "string",
"merchantContactInformation": "string"
},
"additionalTransactionInfo": {
"additionalTransactionBankId": "string",
"referenceId": "string"
}
}
],
"result": {
"status": "approved",
"errors": {
"code": "7000.1000",
"reason": "Internal Processing Error",
"reference": "110.1260"
}
}
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
transactions
object[]
Possible values: [SALE, AUTH, REFUND, SETTLE, VOID, AUTH3D, SALE3D, INITAUTH3D]
SALEapprovedpaymentOption
object
card
object
threeD
object
paymentToken
object
additionalData
object
temporaryPaymentToken
object
alternativePaymentMethod
object
data
object
The merchant contact information, as is displayed for the transaction on the consumer's card statement. It can also be an email address.
Possible values: <= 255 characters
subMerchant
object
Represents the internal merchant’s ID, which is forwarded to Visa and Mastercard
Possible values: <= 15 characters
The payment facilitator’s sub-merchant’s city name.
Possible values: <= 20 characters
The payment facilitator’s sub-merchant’s 2-letter ISO country code.
Possible values: >= 2 characters and <= 2 characters
dynamicDescriptor
object
The merchant name, as is displayed for the transaction on the consumer's card statement.
Possible values: <= 25 characters
The merchant contact information, as is displayed for the transaction on the consumer's card statement. It can also be an email address.
Possible values: <= 255 characters
additionalTransactionInfo
object
result
object
Possible values: [approved, authorizedOnly, declined, error, pending, redirect, challenge, fingerprint, authenticated, authenticationNotSupported]
errors
object
If an error occurred on the request side, an error code is returned in this parameter.
If an error occurred on the request side, an error code is returned in this parameter.
Possible values: <= 11 characters
7000.1000If an error occurred on the request side, then an error reason is returned in this parameter.
Possible values: <= 400 characters
Internal Processing ErrorReference value for troubleshooting
Possible values: <= 400 characters
110.1260{
"transactions": [
{
"transactionType": "SALE",
"externalTransactionId": "string",
"paymentId": "string",
"transactionId": "string",
"transactionDate": "2024-07-29T15:51:28.071Z",
"relatedTransactionId": "string",
"transactionStatus": "approved",
"merchantTransactionId": "string",
"authCode": "string",
"custom": "string",
"credited": "string",
"processedAmount": "string",
"processedCurrency": "string",
"creditType": "string",
"acquiringBankName": "string",
"isVoided": "string",
"errorDescription": "string",
"paymentOption": {
"card": {
"threeD": {
"eci": "string",
"isLiabilityOnIssuer": "string",
"flow": "string",
"isExemptionRequestInAuthentication": true,
"challengePreferenceReason": "string",
"exemptionRequest": "string",
"whiteListStatus": true,
"authenticationType": "string",
"authenticationResult": "string",
"challengeStatus": "string",
"challengeCancelReason": "string",
"merchantPreference": "string",
"merchantPreferenceReason": "string"
},
"avsCode": "string",
"cvv2Code": "string",
"cardHolderName": "string",
"maskedCardNumber": "string",
"expirationMonth": "string",
"expirationYear": "string",
"bin": 0,
"issuerBankName": "string",
"issuingCountry": "string",
"isPrepaid": true,
"cardBrand": "string",
"cardType": "string",
"paymentTokenId": "string"
},
"paymentToken": {
"paymentTokenId": "string",
"additionalData": {
"accountNumber": "string",
"routingNumber": "string"
}
},
"temporaryPaymentToken": {
"paymentTokenId": "string",
"merchantReference": "string"
},
"alternativePaymentMethod": {
"name": "string",
"data": {
"accountNumber": "string",
"routingNumber": "string"
},
"merchantContactInformation": "string"
}
},
"subMerchant": {
"id": "string",
"city": "string",
"countryCode": "string"
},
"dynamicDescriptor": {
"merchantName": "string",
"merchantContactInformation": "string"
},
"additionalTransactionInfo": {
"additionalTransactionBankId": "string",
"referenceId": "string"
}
}
],
"result": {
"status": "approved",
"errors": {
"code": "7000.1000",
"reason": "Internal Processing Error",
"reference": "110.1260"
}
}
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
transactions
object[]
Possible values: [SALE, AUTH, REFUND, SETTLE, VOID, AUTH3D, SALE3D, INITAUTH3D]
SALEapprovedpaymentOption
object
card
object
threeD
object
paymentToken
object
additionalData
object
temporaryPaymentToken
object
alternativePaymentMethod
object
data
object
The merchant contact information, as is displayed for the transaction on the consumer's card statement. It can also be an email address.
Possible values: <= 255 characters
subMerchant
object
Represents the internal merchant’s ID, which is forwarded to Visa and Mastercard
Possible values: <= 15 characters
The payment facilitator’s sub-merchant’s city name.
Possible values: <= 20 characters
The payment facilitator’s sub-merchant’s 2-letter ISO country code.
Possible values: >= 2 characters and <= 2 characters
dynamicDescriptor
object
The merchant name, as is displayed for the transaction on the consumer's card statement.
Possible values: <= 25 characters
The merchant contact information, as is displayed for the transaction on the consumer's card statement. It can also be an email address.
Possible values: <= 255 characters
additionalTransactionInfo
object
result
object
Possible values: [approved, authorizedOnly, declined, error, pending, redirect, challenge, fingerprint, authenticated, authenticationNotSupported]
errors
object
If an error occurred on the request side, an error code is returned in this parameter.
If an error occurred on the request side, an error code is returned in this parameter.
Possible values: <= 11 characters
7000.1000If an error occurred on the request side, then an error reason is returned in this parameter.
Possible values: <= 400 characters
Internal Processing ErrorReference value for troubleshooting
Possible values: <= 400 characters
110.1260{
"transactions": [
{
"transactionType": "SALE",
"externalTransactionId": "string",
"paymentId": "string",
"transactionId": "string",
"transactionDate": "2024-07-29T15:51:28.071Z",
"relatedTransactionId": "string",
"transactionStatus": "approved",
"merchantTransactionId": "string",
"authCode": "string",
"custom": "string",
"credited": "string",
"processedAmount": "string",
"processedCurrency": "string",
"creditType": "string",
"acquiringBankName": "string",
"isVoided": "string",
"errorDescription": "string",
"paymentOption": {
"card": {
"threeD": {
"eci": "string",
"isLiabilityOnIssuer": "string",
"flow": "string",
"isExemptionRequestInAuthentication": true,
"challengePreferenceReason": "string",
"exemptionRequest": "string",
"whiteListStatus": true,
"authenticationType": "string",
"authenticationResult": "string",
"challengeStatus": "string",
"challengeCancelReason": "string",
"merchantPreference": "string",
"merchantPreferenceReason": "string"
},
"avsCode": "string",
"cvv2Code": "string",
"cardHolderName": "string",
"maskedCardNumber": "string",
"expirationMonth": "string",
"expirationYear": "string",
"bin": 0,
"issuerBankName": "string",
"issuingCountry": "string",
"isPrepaid": true,
"cardBrand": "string",
"cardType": "string",
"paymentTokenId": "string"
},
"paymentToken": {
"paymentTokenId": "string",
"additionalData": {
"accountNumber": "string",
"routingNumber": "string"
}
},
"temporaryPaymentToken": {
"paymentTokenId": "string",
"merchantReference": "string"
},
"alternativePaymentMethod": {
"name": "string",
"data": {
"accountNumber": "string",
"routingNumber": "string"
},
"merchantContactInformation": "string"
}
},
"subMerchant": {
"id": "string",
"city": "string",
"countryCode": "string"
},
"dynamicDescriptor": {
"merchantName": "string",
"merchantContactInformation": "string"
},
"additionalTransactionInfo": {
"additionalTransactionBankId": "string",
"referenceId": "string"
}
}
],
"result": {
"status": "approved",
"errors": {
"code": "7000.1000",
"reason": "Internal Processing Error",
"reference": "110.1260"
}
}
}